Skip to main content
PUT
Attach UDF to service
Beta Disclaimer: This beta endpoint is evolving; the API contract may change.

Attaches one UDF version to a service, replacing the current version when necessary. When version is omitted, the latest ready version is attached.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
required

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$
serviceId
string<uuid>
required

ID of the requested service.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Body

application/json
version
integer

Version to attach. When omitted, the latest ready version is attached.

Example:

1

Response

Current attachment state.

status
integer
required

HTTP status code.

Example:

200

requestId
string<uuid>
required

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
result
object
required
Last modified on August 3, 2026